
%define with_otr 1

Name:           kopete
Version:        23.08.5
Release:        %mkrel 1
Summary:        KDE Internet Messenger
Group:          Graphical desktop/KDE5
License:        GPLv2 LGPLv2 GFDL
URL:            https://kde.org/applications/internet/org.kde.kopete
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
Patch0:         kopete-16.08.3-fix-build-with-mediastreamer-2.14+.patch
Patch1:         kopete-20.04.0-fix-build-with-mediastreamer-4.3+.patch
Patch100:       kopete-17.08.3-openssl-1.1.patch
## mageia patches

BuildRequires:  kf5-macros
BuildRequires:  boost-devel
BuildRequires:  giflib-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(libidn)
BuildRequires:  pkgconfig(jasper)
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(libgadu)
BuildRequires:  pkgconfig(libmsn)
BuildRequires:  pkgconfig(ortp)
%if %with_otr
BuildRequires:  pkgconfig(libotr) >= 4.0.0
%endif
BuildRequires:  pkgconfig(libv4l2)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(mediastreamer)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(qca2-qt5)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(libsrtp2)
BuildRequires:  pkgconfig(zlib)
BuildConflicts: lib64meanwhile-devel

Requires:       akonadi
Requires:       qca2-qt5
Requires:       jasper

%description
Kopete is a flexible and extendable multiple protocol instant messaging
system designed as a plugin-based system.

All protocols are plugins and allow modular installment, configuration,
and usage without the main application knowing anything about the plugin
being loaded.

The goal of Kopete is to provide users with a standard and easy to use
interface for all of their instant messaging systems, but at the same
time also providing developers with the ease of writing plugins to support
new protocols.

The core Kopete development team provides a handful of plugins that most
users can use, in addition to templates for new developers to base a plugin
off of.

%files -f %{name}.lang
%{_kf5_sysconfdir}/xdg/kopeterc
%{_kf5_datadir}//qlogging-categories5/kopete.categories
%{_kf5_datadir}/kconf_update/kopete-*
%{_kf5_bindir}/kopete
%{_kf5_bindir}/winpopup-install
%{_kf5_bindir}/winpopup-send
%{_qt5_plugindir}/kcm_kopete_*
%{_qt5_plugindir}/kopete_*
%{_kf5_libdir}/libqgroupwise.so
%{_qt5_plugindir}/chattexteditpart.so
%{_qt5_plugindir}/accessible/chatwindowaccessiblewidgetfactory.so
%{_kf5_applicationsdir}/org.kde.kopete.desktop
%{_kf5_datadir}/config.kcfg/historyconfig.kcfg
%{_kf5_datadir}/config.kcfg/kopeteappearancesettings.kcfg
%{_kf5_datadir}/config.kcfg/kopetebehaviorsettings.kcfg
%{_kf5_datadir}/config.kcfg/urlpicpreview.kcfg
%{_kf5_datadir}/config.kcfg/webpresenceconfig.kcfg
%{_kf5_datadir}/config.kcfg/kopetestatussettings.kcfg
%if %with_otr
%{_kf5_datadir}/config.kcfg/kopete_otr.kcfg
%{_kf5_datadir}/kxmlgui5/kopete_otr/
%endif
%{_kf5_datadir}/dbus-1/interfaces/org.kde.Kopete.xml
%{_kf5_datadir}/dbus-1/interfaces/org.kde.kopete.Client.xml
%{_kf5_datadir}/dbus-1/interfaces/org.kde.kopete.Statistics.xml
%{_kf5_services}/aim.protocol
%{_kf5_services}/chatwindow.desktop
%{_kf5_services}/emailwindow.desktop
%{_kf5_services}/kconfiguredialog/kopete_*
%{_kf5_services}/kopete_*
%{_kf5_services}/xmpp.protocol
%{_kf5_servicetypes}/kopete*.desktop
%{_kf5_datadir}/sounds/Kopete_Event.ogg
%{_kf5_datadir}/sounds/Kopete_Received.ogg
%{_kf5_datadir}/sounds/Kopete_Sent.ogg
%{_kf5_datadir}/sounds/Kopete_User_is_Online.ogg
%{_kf5_datadir}/kxmlgui5/kopete/
%{_kf5_datadir}/kxmlgui5/kopete_groupwise/
%{_kf5_datadir}/kopete/
%{_kf5_datadir}/kopete_history/
%{_kf5_iconsdir}/hicolor/*/*/*.png
%{_kf5_iconsdir}/hicolor/*/*/*.svg*
%{_kf5_iconsdir}/oxygen/*/*/*.png
%{_kf5_iconsdir}/oxygen/*/*/*.svg*
%{_kf5_datadir}/metainfo/org.kde.kopete.appdata.xml
%{_kf5_knotificationsdir}/kopete.notifyrc
%{_kf5_libdir}/libkopetecontactlist.so.*
%{_kf5_libdir}/libkopete_videodevice.so.*
%{_kf5_libdir}/libkopeteaddaccountwizard.so.*
%{_kf5_libdir}/libkopete.so.*
%{_kf5_libdir}/libkopeteprivacy.so.*
%{_kf5_libdir}/libkopetechatwindow_shared.so.*
%{_kf5_libdir}/libkopete_otr_shared.so.*
%{_kf5_libdir}/libkopetestatusmenu.so.*
%{_kf5_libdir}/libkopete_oscar.so.*
%{_kf5_libdir}/liboscar.so.*
%{_kf5_libdir}/libkopeteidentity.so.*
#------------------------------------------------------------------------------

%package -n     kopete-handbook
Summary:        Kopete Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kopete >= %{version}-%{release}

%description -n kopete-handbook
This package provides kopete handbook.

%files -n kopete-handbook
%doc %{_kf5_docdir}/HTML/*/kopete/

#------------------------------------------------------------------------------

%define develname %mklibname %{name} -d

%package -n     %{develname}
Summary:        Devel stuff for %{name}
Group:          Development/Libraries
Requires:       %{name}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{develname}
%{_kf5_libdir}/*.so
%exclude %{_kf5_libdir}/libqgroupwise.so
%{_includedir}/kopete/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

export CXXFLAGS="%{optflags} -pthread"

%cmake_kf5 -DBUILD_TESTING=OFF -Wno-dev -DWITH_libjingle:BOOL=OFF -DWITH_wlm:BOOL=OFF

%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

